<?php
defined('BASEPATH') OR exit('No direct script access allowed');

class Category_db extends CI_Model {

	function __construct()
    {
        parent::__construct();
        $this->load->database();
    }

    public function selectAllCategories()
    {
        /*
        * selectAllCategories
        *
        * This Function returns all Categories in an Array
        *
        * @return Category Array
        */
        $this->db->from('categorytable');
        $this->db->order_by('categoryname', 'asc');
        $result = $this->db->get();
        return $result->result();
    }

    public function selectAllUnits()
    {
        /*
        * selectAllUnits
        *
        * This Function returns all Units in an Array
        *
        * @return Unit Array
        */
        $this->db->from('unittable');
        $this->db->order_by('unit', 'asc');
        $result = $this->db->get();

        return $result->result();
    }

    public function insertNewKategorie($kategoriename)
    {
        $result = $this->db->get_where('categorytable', array('categoryname' => $kategoriename ));

        if ($result->num_rows() == 0) 
        {
            $this->db->insert('categorytable', array('categoryname' => $kategoriename));
            return TRUE;
        }
        return FALSE;
    }

    public function remoceKategorieById($kategorieid)
    {
        $result = $this->db->delete('categorytable', array('categoryid' => $kategorieid));

        return $result;
    }
}

?>