<?php
defined('BASEPATH') OR exit('No direct script access allowed');

class User_db extends CI_Model {

	function __construct()
    {
        parent::__construct();
        $this->load->database();
    }

    public function getUser($username)
    {
        $mitglied_array = array(
                'username' => $username
        );

        $user_data = $this->db->get_where('members', $mitglied_array);
        $result = $this->db->count_all();
        return $user_data->result();
    }

    public function createUser($username, $password)
    {
        $benutzer_array = array(
            'username' => $username,
            'password' => $password
        );

        $this->db->insert('members', $benutzer_array);
    }

    public function getAllUsers()
    {
        $result = $this->db->get('members');
        return $result->result();
    }

    public function checkUsername($username)
    {
        $username_array = array(
            'username' => $username
        );

        $result = $this->db->get_where('members', $username_array);

        return $result->num_rows();
    }

    public function updateLastLoginDate($username)
    {
        $update_value_array = array(
            'lastlogin' => date('Y-m-d')
        );

        $this->db->update('members', $update_value_array, array('username' => $username));
    }

    public function removeUserById($userid)
    {
        $user_id_array = array(
            'memberid' => $userid
        );

        return $this->db->delete('members', $user_id_array);
    }

    public function getUserById($id){
        $result = $this->db->get_where('members', array('memberid' => $id));
        return $result->result();
    }

    /**
     * This function updates the user password
     * @since 0.7.0
     * @param $memberid as int
     */
    public function updatePassword($memberid, $password){
        $this->db->trans_begin();
        $this->db->update('members', array('password' => $password), array('memberid' => $memberid));

        if ($this->db->trans_status() === FALSE){
            $this->db->trans_rollback();
            return FALSE;
        }
        else{
            $this->db->trans_commit();
            return TRUE;
        }
    }

}

    /*
    * Update Product by ID
    *
    * This Function update the Product with the ID. After that, the state will returned
    *
    * @param int $product_id -T ID from the current product, must correspond with the Product ID in the Database
    * @param array $product_data - Contains the complet data array from the formular. The corrct allocation will do the model.
    * @return TRUE FALSE
    */