<?php
defined('BASEPATH') OR exit('No direct script access allowed');
?>

<div class="parent-container container mt-3">
<?php 
    if (isset($_GET['productAdded'])) {?>
        <div class="alert alert-success alert-dismissable">
            <a href="<?php base_url('index.php/start'); ?>" class="close" data-dismiss="alert" aria-label="close">&times;</a>
            <strong>Erfolg!</strong> Das Produkt wurde in die Liste eingetragen!
        </div>
    <?php
    }
    elseif (isset($_GET['productChanged'])) {?>
        <div class="alert alert-success alert-dismissable">
            <a href="<?php base_url('index.php/start'); ?>" class="close" data-dismiss="alert" aria-label="close">&times;</a>
            <strong>Erfolg!</strong> Das Produkt wurde erfolgreich angepasst!
        </div>
    <?php
    }
    elseif (isset($_GET['login_erfolgreich'])) {?>
        <div class="alert alert-success alert-dismissable">
            <a href="<?php base_url('index.php/start'); ?>" class="close" data-dismiss="alert" aria-label="close">&times;</a>
            <strong>Erfolg!</strong> Erfolgreich eingelogt, Hallo <?php echo ucwords($_SESSION['username']); ?>!
        </div>
    <?php
    };
    ?>
<h4>Neues Produkt hinzufügen</h4>
<p><!-- Trigger the modal with a button -->
    <button type="button" class="btn btn-success" data-toggle="modal" data-target="#add_product_modal"><i class="fas fa-plus"></i> <?php echo $newProductButton; ?></button>
</p>
<!-- Search Input Field -->
<h4>Produkte filtern</h4>
    <form>
        <div class="input-group mb-3">
            <div class="input-group-prepend">
                <span class="input-group-text">Filtern</span>
            </div>
            <input class="form-control" id="artikel_search" type="text" placeholder="Produktname, Kategorie, ..." />
            <div class="input-group-append">
                <button onclick="clearSearchField(); return false;" class="btn btn-secondary" type="button"><i class="fas fa-eraser"></i></button> 
            </div>
        </div>
    </form>
<!-- END SEARCH -->
    <h4>Produkte</h4>
    <div class="row" id="products">
        <?php foreach ($products_all as $product) 
        {
            echo    "<div class='col-lg-4 col-md-4 col-sm-6 col-xs-12 search-body' id='artikel'>";
            echo    "<div class='card card-bottom-margin search-filter-text'>";
            echo    "<div class='card-header'>" ; if($product->expiredate < date('Y-m-d')){echo "<i class='fas fa-exclamation'></i> "; }; echo $product->productname; 
            echo    "</div>" .
                    "<div class='card-body'>" .
                    "<p><span id='productcount".$product->productid."'>" . $product->numberofproduct . "</span> " . $product->unit . " / Kategorie: " . $product->categoryname . "</p>" .
                    "<p>Haltbar bis " . date('d.m.Y', strtotime($product->expiredate)) . "</p>" . 
                    "<p>Eingelagert am: " . date('d.m.Y', strtotime($product->storedon)) . "</p>" . 
                    "<a href='" . base_url('index.php/product/removeproduct') . "?productid=" . $product->productid . "'" . "onclick='return deleteProduct()'" . "><i class='fas fa-trash-alt'></i></a>" .  "  |  " .
                    "<a id='addone' href='#' onclick='changeCount(" . $product->productid . ", 1);return false;'><i class='fas fa-plus'></i></a>" .  "  |  " .
                    "<a id='removeone' href='#' onclick='changeCount(" . $product->productid . ", 0);return false;'><i class='fas fa-minus'></i></a>" . "  |  " .
                    "<a id='edit' href='#' class='product-id' data-toggle='modal' data-target='#EditProduct' data-id='$product->productid'><i class='fas fa-edit'></i></a>" .
                    "</p>" .
                    "</div>".
                    "</div>" .
                    "</div>"
            ;
        }
        ?>
    </div>
    <div class="row">
        <div class="col-sm-12">
            <p><i class="fas fa-exclamation"></i> = Produkt ist abgelaufen.</p>
        </div>
        <!-- ADD BUTTOn NEW-->
        <button id="myBtn" type="button" class="btn btn-success" data-toggle="modal" data-target="#add_product_modal"><i class="fas fa-plus"></i></button>
    </div>

<script>
// Search Function
(function($) {

$(document).ready(function() {
  $('input#artikel_search').on('keyup', function() {
    var search = $(this).val();

    if( !search ) {
      $('.search-body').show();
      return;
    }

    $('.search-body').hide();
    $(".search-filter-text:contains('" + search + "')").parents('.search-body').show();
  });
});
})(jQuery);
// Search END

function changeCount(productid, action)
{
    // 1 = ADD, 0 = Remove

    if(document.getElementById("productcount"+productid).innerHTML > 0)
    {
        $.ajax({
                type : "POST",
                url : "<?php echo base_url('/index.php/ajax_controller/changecount'); ?>",
                data: {productid: productid, action: action},
                success : function(response)
                {
                    console.log(response);
                    if(action == 1)
                    {
                        document.getElementById("productcount"+productid).innerHTML = parseInt(document.getElementById("productcount"+productid).innerHTML)+1;
                    }
                    if(action == 0)
                    {
                        document.getElementById("productcount"+productid).innerHTML = parseInt(document.getElementById("productcount"+productid).innerHTML)-1;
                    }
                },
                error : function(response)
                {
                    console.log("ERROR");
                    console.log(response);
                },
            }
        );
    }

}

function clearSearchField(){
    document.getElementById('artikel_search').value = '';
    $('#products').load(document.URL +  ' #products');
}

function deleteProduct(){
    return confirm("Soll das Produkt gelöscht werden?");
}
</script>
</div>



