<?php
defined('BASEPATH') OR exit('No direct script access allowed');

if (isset($_SESSION['loggedin']) != TRUE) {
  redirect('login');
}

?>

<!DOCTYPE html>
<html lang="en">
<head>
  <title>Pantry-tool - version <?php echo APPVERSION; ?></title>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1">
  <!-- CSS -->
  <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css">
  <link rel="stylesheet" href="https://use.fontawesome.com/releases/v5.7.2/css/all.css" integrity="sha384-fnmOCqbTlWIlj8LyTjo7mOUStjsKC4pOpQbqyi7RrhN7udi9RwhKkMHpvLbHG9Sr" crossorigin="anonymous">
  <link rel="stylesheet" href="<?php echo base_url('assets/css/scrollButton.css'); ?>">
  <link rel="stylesheet" href="<?php echo base_url('assets/css/own.css'); ?>">

  <!-- jQuery library -->
  <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.3.1/jquery.min.js"></script>
  <!-- Popper JS -->
  <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.14.7/umd/popper.min.js"></script>
  <!-- Latest compiled JavaScript -->
  <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.3.1/js/bootstrap.min.js"></script>
  <!-- JS -->
  <script src="<?php echo base_url('assets/js/scrollButton.js'); ?>"></script>


  <link rel="apple-touch-icon" sizes="57x57" href="<?php echo base_url('/favicons/apple-icon-57x57.png'); ?>">
  <link rel="apple-touch-icon" sizes="60x60" href="<?php echo base_url('/favicons/apple-icon-60x60.png'); ?>">
  <link rel="apple-touch-icon" sizes="72x72" href="<?php echo base_url('/favicons/apple-icon-72x72.png'); ?>">
  <link rel="apple-touch-icon" sizes="76x76" href="<?php echo base_url('/favicons/apple-icon-76x76.png'); ?>">
  <link rel="apple-touch-icon" sizes="114x114" href="<?php echo base_url('/favicons/apple-icon-114x114.png'); ?>">
  <link rel="apple-touch-icon" sizes="120x120" href="<?php echo base_url('/favicons/apple-icon-120x120.png'); ?>">
  <link rel="apple-touch-icon" sizes="144x144" href="<?php echo base_url('/favicons/apple-icon-144x144.png'); ?>">
  <link rel="apple-touch-icon" sizes="152x152" href="<?php echo base_url('/favicons/apple-icon-152x152.png'); ?>">
  <link rel="apple-touch-icon" sizes="180x180" href="<?php echo base_url('/favicons/apple-icon-180x180.png'); ?>">
  <link rel="icon" type="image/png" sizes="192x192"  href="<?php echo base_url('/favicons/android-icon-192x192.png'); ?>">
  <link rel="icon" type="image/png" sizes="32x32" href="<?php echo base_url('/favicons/favicon-32x32.png'); ?>">
  <link rel="icon" type="image/png" sizes="96x96" href="<?php echo base_url('/favicons/favicon-96x96.png'); ?>">
  <link rel="icon" type="image/png" sizes="16x16" href="<?php echo base_url('/favicons/favicon-16x16.png'); ?>">
  <link rel="manifest" href="<?php echo base_url('/favicons/manifest.json'); ?>">
  <meta name="msapplication-TileColor" content="#ffffff">
  <meta name="msapplication-TileImage" content="<?php echo base_url('/favicons/ms-icon-144x144.png'); ?>">
  <meta name="theme-color" content="#ffffff">
</head>
<body>

<nav class="navbar navbar-expand-md bg-dark navbar-dark">
  <!-- Brand -->
  <a class="navbar-brand" href="<?php echo base_url('index.php/start'); ?>">Pantry-Tool</a>

  <!-- Toggler/collapsibe Button -->
  <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#collapsibleNavbar">
    <span class="navbar-toggler-icon"></span>
  </button>
  <div class="collapse navbar-collapse" id="collapsibleNavbar">
    <!-- Links -->
    <ul class="navbar-nav">
      <li class="nav-item <?php if($this->uri->segment(1)=="start"){echo "active";}?>">
        <a class="nav-link" href="<?php echo base_url('start/index'); ?>"><span class="glyphicon glyphicon-home"></span> Home</a>
      </li>
      <li class="nav-item <?php if($this->uri->segment(1)=="uebersicht"){echo "active";}?>">
        <a class="nav-link" href="<?php echo base_url('uebersicht/index'); ?>"><span class="glyphicon glyphicon-dashboard"></span> Übersicht</a>
      </li>
      <li class="nav-item <?php if($this->uri->segment(1)=="settings"){echo "active";}?>">
        <a class="nav-link" href="<?php echo base_url('settings/index'); ?>"><span class="glyphicon glyphicon-cog"></span> Einstellungen</a>
      </li>
      <li class="nav-item">
        <a class="nav-link" href="<?php echo base_url('login/logout'); ?>"><span class="glyphicon glyphicon-log-out"></span> Logout (<?php echo ucwords($_SESSION['username']); ?>)</a>
      </li>
    </ul>
    <ul class="nav navbar-nav ml-auto">
      <li class="nav-item <?php if($this->uri->segment(1)=="about"){echo "active";}?>">
        <a class="nav-link" href="<?php echo base_url('about/index'); ?>"><i class="fas fa-home"></i> Über</a>
      </li>
      <li class="nav-item">
        <a class="nav-link"><i class="fas fa-code-branch"></i> Version <?php echo APPVERSION; ?></a>
      </li>
    </ul>
  </div>
</nav>