<?php
defined('BASEPATH') OR exit('No direct script access allowed');
?>

<div class="parent-container container mt-3">    
    <h4>Übersicht der Produkte</h4>
        <div class="row">
            <div class="col-xs-12 col-sm-12 col-md-6 col-lg-6">
                <div class="card card-bottom-margin">
                    <div class="card-header">
                        <h5 class="card-title">Anzahl Produkte nach Kategorie</h5>
                    </div>
                    <div class="card-body">
                        <p>Auflistung wie viele Produkte pro Kategorie in der Datenbank eingetragen sind.</p>
                        <div class="table-responsive">
                            <table class="table table-hover">
                                <thead>
                                    <tr>
                                        <th>Kategorie</th>
                                        <th>Anzahl Produkte</th>
                                    </tr>
                                </thead>
                                <tbody>
                                    <?php
                                    foreach ($countCategoryProducts as $key => $value) {
                                        echo "<tr>";
                                        echo "<td>" . $key . "</td>";
                                        echo "<td>" . $value . "</td>";
                                        echo "</tr>";
                                    }
                                    ?> 
                                    <tr>
                                        <td><b>Total</b></td>
                                        <td><b><?php echo $allProductsCount; ?></b></td>
                                    </tr>        
                                </tbody>
                            </table>
                        </div> <!-- end table-responsive -->
                    </div> <!-- end card-body -->              
                </div> <!-- end card-default -->
            </div> <!-- end col-sm-6 -->
            <div class="col-xs-12 col-sm-12 col-md-6 col-lg-6">
                <div class="card card-bottom-margin">
                    <div class="card-header">
                          <h5 class="cad-title">Produkte die ablaufen werden</h5>
                    </div>
                    <div class="card-body">
                        <?php if (empty($willExpireProducts)) {
                            ?>
                            <p>In den nächsten 30 Tagen werden keine Produkte ablaufen, toll :D</p>
                        <?php
                        } else {
                        ?>
                          <p>Folgende Produkte werden in den nächsten 30 Tagen ablaufen.</p>
                          <div class="table-responsive">
                              <table class="table table-hover">
                                  <thead>
                                      <tr>
                                          <th>Produktname</th>
                                          <th>Läuft ab am:</th>
                                          <th>Anzahl Tage</th>
                                      </tr>
                                  </thead>
                                  <tbody>
                                      <?php
                                        foreach ($willExpireProducts as $key => $value) {
                                            echo "<tr>";
                                            echo "<td>" . $value[1] . "</td>";
                                            echo "<td>" . $value[2] . "</td>";
                                            echo "<td>" . $value[0] . "</td>";
                                            echo "</tr>";
                                        }
                                      ?>
                                  </tbody>
                              </table>
                          </div>
                            <?php } ?>
                    </div>
                </div>
            </div>
        </div> <!-- end row-->
        <div class="row">
            <div class="col-xs-12 col-sm-12 col-md-12 col-lg-12">
                
                <div class="card card-bottom-margin">
                      <div class="card-header">
                            <h5 class="card-title">Produkte durch Benutzer eingetragen</h5>
                      </div>
                      <div class="card-body">
                            <?php
                            foreach ($createdBy as $key => $value) {
                                echo "<p>" . ucwords($value[0]) . " hat " . $value[1] . " Produkt(e) in die Datenbank eingetragen." . "</p>";
                            }
                            ?>
                      </div>
                </div>
                
            </div>
        </div>
</div> <!-- end container -->
        

        
</div>
